OpenShot Audio Library | OpenShotAudio: juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness > Struct Template Reference

`#include <juce_AudioFormatWriter.h>`

## Public Types
using | DestType = AudioData::Pointer <DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst>
using | SourceType = AudioData::Pointer <SourceSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::Const>

## Static Public Member Functions
static void | write (void *destData, int numDestChannels, const int *const *source, int numSamples, const int sourceOffset=0) noexcept

## Detailed Description

template<class DestSampleType, class SourceSampleType, class DestEndianness>
struct juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >

Used by AudioFormatWriter subclasses to copy data to different formats.

Definition at line 267 of file juce_AudioFormatWriter.h.

## Member Typedef Documentation

## ◆ DestType

template<class DestSampleType, class SourceSampleType, class DestEndianness>

using juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::DestType = AudioData::Pointer <DestSampleType, DestEndianness, AudioData::Interleaved, AudioData::NonConst>

Definition at line 269 of file juce_AudioFormatWriter.h.

## ◆ SourceType

template<class DestSampleType, class SourceSampleType, class DestEndianness>

using juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::SourceType = AudioData::Pointer <SourceSampleType, AudioData::NativeEndian, AudioData::NonInterleaved, AudioData::Const>

Definition at line 270 of file juce_AudioFormatWriter.h.

## Member Function Documentation

## ◆ write()

template<class DestSampleType, class SourceSampleType, class DestEndianness>

static void juce::AudioFormatWriter::WriteHelper< DestSampleType, SourceSampleType, DestEndianness >::write | ( | void * | destData,
|  | int | numDestChannels,
|  | const int *const * | source,
|  | int | numSamples,
|  | const int | sourceOffset = 0 )
| inlinestaticnoexcept

Definition at line 272 of file juce_AudioFormatWriter.h.

The documentation for this struct was generated from the following file:

- juce_AudioFormatWriter.h